]> rtime.felk.cvut.cz Git - coffee/buildroot.git/blob - package/chrony/S49chrony
lrzsz: install symlinks for XMODEM and YMODEM
[coffee/buildroot.git] / package / chrony / S49chrony
1 #!/bin/sh
2 #
3 # Start chrony
4
5 [ -f /etc/chrony.conf ] || exit 0
6
7 case "$1" in
8   start)
9         printf "Starting chrony: "
10         chronyd && echo "OK" || echo "FAIL"
11         ;;
12   stop)
13         printf "Stopping chrony: "
14         killall chronyd && echo "OK" || echo "FAIL"
15         ;;
16   restart|reload)
17         "$0" stop
18         sleep 1
19         "$0" start
20         ;;
21   *)
22         echo "Usage: $0 {start|stop|restart}"
23         exit 1
24 esac
25
26 exit $?